unit Unit1;

interface

uses
  Winapi.Windows, Winapi.Messages, System.SysUtils, System.Variants, System.Classes, Vcl.Graphics,
  Vcl.Controls, Vcl.Forms, Vcl.Dialogs, Vcl.StdCtrls, XData.Client, MyTrxService;

type
  TForm1 = class(TForm)
    Button1: TButton;
    Memo1: TMemo;
    procedure Button1Click(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure FormDestroy(Sender: TObject);
  private
    { Private declarations }
    xClient: TXDataClient;
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

procedure TForm1.Button1Click(Sender: TObject);
begin
  Memo1.Text := xClient.Service<IMyTrxService>.EchoString('1','2','3','4','5','6',119,119,119,119);
end;

procedure TForm1.FormCreate(Sender: TObject);
begin
  xClient := TXDataClient.Create;
  xClient.Uri := 'http://localhost:2001/xdata/trx';
end;

procedure TForm1.FormDestroy(Sender: TObject);
begin
  xClient.Free;
end;

end.
